Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.digests
Class GOST3411_2012_256Digest

    java.lang.Object
      org.bouncycastle.crypto.digests.GOST3411_2012Digest
          org.bouncycastle.crypto.digests.GOST3411_2012_256Digest

All Implemented Interfaces:
  Digest, ExtendedDigest, Memoable

public final class GOST3411_2012_256Digest
extends GOST3411_2012Digest

implementation of GOST R 34.11-2012 256-bit

Field Summary

Fields inherited from class org.bouncycastle.crypto.digests.GOST3411_2012Digest
`purpose`

Constructor Summary
`GOST3411_2012_256Digest()`
`GOST3411_2012_256Digest(CryptoServicePurpose purpose)`
`GOST3411_2012_256Digest(GOST3411_2012_256Digest other)`

Method Summary
`Memoable` | `copy()` Produce a copy of this object with its configuration and in its current state.
`int` | `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
`java.lang.String` | `getAlgorithmName()` return the algorithm name
`int` | `getDigestSize()` return the size, in bytes, of the digest produced by this message digest.

Methods inherited from class org.bouncycastle.crypto.digests.GOST3411_2012Digest
`getByteLength, reset, reset, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3411_2012_256Digest

    public GOST3411_2012_256Digest(CryptoServicePurpose purpose)

### GOST3411_2012_256Digest

    public GOST3411_2012_256Digest()

### GOST3411_2012_256Digest

    public GOST3411_2012_256Digest(GOST3411_2012_256Digest other)

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `Digest`
  return the algorithm name

  Specified by:
    `getAlgorithmName` in interface `Digest`
  Specified by:
    `getAlgorithmName` in class `GOST3411_2012Digest`

### getDigestSize

    public int getDigestSize()

  Description copied from interface: `Digest`
  return the size, in bytes, of the digest produced by this message digest.

  Specified by:
    `getDigestSize` in interface `Digest`
  Specified by:
    `getDigestSize` in class `GOST3411_2012Digest`

### doFinal

    public int doFinal(byte[] out,
                       int outOff)

  Description copied from interface: `Digest`
  close the digest, producing the final digest value. The doFinal call leaves the digest reset.

  Specified by:
    `doFinal` in interface `Digest`
  Overrides:
    `doFinal` in class `GOST3411_2012Digest`

### copy

    public Memoable copy()

  Description copied from interface: `Memoable`
  Produce a copy of this object with its configuration and in its current state.

  The returned object may be used simply to store the state, or may be used as a similar object starting from the copied state.

  Specified by:
    `copy` in interface `Memoable`
  Specified by:
    `copy` in class `GOST3411_2012Digest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD